Name:           qtpass
Version:        1.2.1
Release:        %mkrel 1
Summary:        Cross-platform GUI for pass
License:        GPLv3
URL:            https://qtpass.org/
Group:		Security
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}/qtpass-%{version}.tar.gz

BuildRequires:  qt5-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qttools5
# for ownership of hicolor directories
Requires:       hicolor-icon-theme
# for icons to appear without freedesktop
#Requires:       qt5-qtsvg
Requires:       pass
Recommends:     git
Recommends:     gpg2
Recommends:     pwgen

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%setup -q -n QtPass-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

rm -f %{buildroot}/%{_libdir}/qt5/tests/qtpass/util/tst_util

%files
%doc README.md
%license LICENSE
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*



%changelog
* Thu Feb 08 2018 buchan <buchan> 1.2.1-1.mga6
+ Revision: 1199795
- New version 1.2.1 Fixes #22398

* Sun Jun 04 2017 buchan <buchan> 1.1.6-1.mga6
+ Revision: 1106525
- imported package qtpass

